﻿using Newtonsoft.Json;
using Syncfusion.EJ2.DropDowns;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MVCsampleEJ2.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.data = new Category().getNameLists();
            ViewBag.value = new string[] { "2", "3" };
            DataModel model = new DataModel();
            model.categories = new Category().getNameLists();
            model.value = new string[] { "2", "3" };
            return View(model);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }


    public class Category
    {
        public string Id { get; set; }
        public string Name { get; set; }

        public List<Category> getNameLists()
        {
            List<Category> name = new List<Category>();
            name.Add(new Category { Id = "1", Name = "Category A" });
            name.Add(new Category { Id = "2", Name = "Category B" });
            name.Add(new Category { Id = "3", Name = "Category C" });
            return name;
        }
    }
    public class DataModel
    {
        public string[] value { get; set; }
        public List<Category> categories { get; set; }
    }
}